Page MenuHomePhabricator

Override needed to prevent mobile version from changing ambox text to "this page has some issues"
Closed, DuplicatePublic

Description

Some pages, like [[en:Lunar eclipse]], use the template {{ambox}} to display information to readers. When viewed from the mobile URL ( https://en.m.wikipedia.org/wiki/Lunar_eclipse ), the text in these boxes is changed to "This page has some issues", which is not always desirable. In the case of the lunar eclipse article, for example, mobile users should see the same text that non-mobile users see.

Event Timeline

28bytes created this task.Mar 25 2015, 6:07 PM
28bytes raised the priority of this task from to Needs Triage.
28bytes updated the task description. (Show Details)
28bytes added a subscriber: 28bytes.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 25 2015, 6:07 PM

{{ambox}} is hidden by default according to T68747#702268.

Is this the same as T65556: Page issues are not hidden by default (which was supposed to be fixed but maybe broke again)?

TheDJ added a subscriber: TheDJ.Mar 25 2015, 7:20 PM

No the problem the user is describing, is that not all amboxes are 'issues' per se (the word issues has an implication of negativity).

As an introduction:

  • mbox is a set of user facing notices for various namespaces that share a unified styling concept
  • ambox is the article specific notice type (there are two more in the same namespace, namely notices for disambigution pages and notices for stub articles).
  • amboxes have an importance, illustrated gently by the color scheme.
  • amboxes can exist for procedural reasons (deletion, protection), content reasons (writing style, references etc) or informational reasons (imminent event launch time, recently deceased)

https://en.wikipedia.org/wiki/Template:Ambox

On mobile however, everything is grouped under the one moniker of 'This page has some issues', which is especially misleading towards the user about the nature of the informational notice.

Is there a better class to use?
Information boxes do not render well either. In the talk page 'this page has issues' is changed to 'about this talk page' [1] and these messages are reformatted and displayed in it.

Really structured data is the only way to fix this nicely :-/
[1] https://en.m.wikipedia.org/wiki/Talk:Sandwich

How easy would it be to add a class to all page issue templates? e.g. amboxissue
Are the templates shared across projects?

TheDJ added a comment.Mar 25 2015, 7:36 PM

@Jdlrobson On talk pages, you do not have ambox'es, these are tmbox'es and they carry a corresponding class to indicate their different nature. And every ambox subtype carries a class to indicate the subtype (it's how the colors get added). tmboxes have similar subtypes btw, but they are used less often.

The mbox template system is en.wp specific, but has been copied (like so many things) to many other wikipedia languages.

The problem is that all of this carries a lot of domain specific detail. To generalize will require finding a domain agnostic specification language and allowing the user to map stuff to that. We've seen that a bit with the citation editors in VE I think. That might be a way forward.

If issue templates were a page component we could do this in a much more clever way and everyone will be happy (see T105845)

In terms of wording, in talk pages the ambox templates get collapsed into "About this talk page" if we can have some better wording across the site in the mean time until T105845 gets resolved that would be great.

Jdlrobson changed the task status from Open to Stalled.Aug 12 2015, 6:13 PM
Jhernandez triaged this task as Medium priority.Aug 17 2015, 11:19 AM
HairyDude added a subscriber: HairyDude.EditedMar 7 2016, 2:04 PM

'This page has some issues' only appears for amboxes in the lead section. Some are intended for use in other sections; these are completely hidden on mobile, which is problematic for content-dispute templates such as {{Original research}}, which are important for informing readers that what they're reading is not necessarily up to Wikipedia's usual standards. These templates also can't be replaced by a "page component", unless it can be attached to a specific section, since by their nature they don't pertain to the article as a whole.

TheDJ added a comment.EditedSep 23 2016, 9:26 AM

This is a nice illustration about the broader problems of Mobile dealing with what it calls "Page issues"

This likely fake battle totally happened for casual readers on Mobile, yet is clearly problematic when reading the Desktop version...

There also is currently some discussion on this at: https://en.wikipedia.org/wiki/Wikipedia:Village_pump_(proposals)#Make_certain_warning_templates_visible_on_mobile

TheDJ added a comment.Sep 23 2016, 9:35 AM

Two more screenshots.
The first is narrow screen minerva, showing the amboxes (but with my own responsive styling for mboxes, which removes excessive margin and inlines the image.)


Now the same, but on an iPhone 5S

Preferably, there should be three types of mbox distinguished by class.

  1. Always shown (e.g. deletion nomination).
  2. Shown as "Page issues" (same rendering as now)
  3. Shown as "Page information" (non-essential information that is not an "issue" because nothing is wrong with the page, e.g. non-essential talk page amboxes, certain article amboxes; same rendering except "issues" => "information").

There are real use cases for all of these.

phuedx added a subscriber: phuedx.Apr 18 2017, 6:50 AM

This could/should be done as part of T143535: [EPIC] Improve article notes . It seems like @Mattflaschen-WMF's three suggestions map directly to the "Serious, medium, regular" listed on that task.

Actually, could this task be closed as superseded by T143535: [EPIC] Improve article notes ?